Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve answered scorecards for applicable reviewed users or scorecards for a date range (/v2/stats/activity/scorecards)

Prev Next
Post
/v2/stats/activity/scorecards

Retrieve all the answers for the scorecards that were reviewed during a specified date range, for calls that took place during a specified date range, for specific scorecards or for specific reviewed users.

Required authorizaton scope: 'api:stats:scorecards'.

Body parameters
Expand All
object
cursor
string

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
filter
object (AnsweredScorecardsFilter) Required

Filter parameters.

callFromDate
string

The date (in the company's time zone) of the call from when to list calls. This value is inclusive. The date should be specified in the following format: YYYY-MM-DD; if not specified, it starts with the earliest recorded call.

Example2019-01-20
callToDate
string

The date (in the company's time zone) of the call until when to list calls. This value is exclusive. The date should be specified in the following format: YYYY-MM-DD; if not specified, it ends with the latest recorded call.

Example2019-01-25
reviewFromDate
string

The review date (in the company's time zone) from when to list calls. This value is inclusive. The date should be specified in the following format: YYYY-MM-DD; if not specified, it starts with the earliest reviewed call.

Example2019-01-20
reviewToDate
string

The review date (in the company's time zone) until when to list calls. This value is exclusive. The date should be specified in the following format: YYYY-MM-DD; if not specified, it ends with the latest reviewed call.

Example2019-01-25
reviewMethod
string

Select whether to return scorecards that have been reviewed manually, automatically, or both. Default value: MANUAL

Valid values[ "AUTOMATIC", "MANUAL", "BOTH" ]
ExampleAUTOMATIC
reviewedUserIds
Array of string

List of user Ids of the team members being reviewed. If not specified, it returns all answered scorecards in the corresponding filter.

Example[ "234599484848423" ]
string
scorecardIds
Array of string

List of scorecards Ids. If not specified, it returns all answered scorecards in the corresponding filter.

Example[ "6843152929075440037" ]
string
Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
records
object (Records)

Information about the number of records that match the requested filter.

totalRecords
integer (int32)

Total number of records.

Example263
currentPageSize
integer (int32)

Number of records in the current page.

Example100
currentPageNumber
integer (int32)

Current page number.

Example0
cursor
string

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
answeredScorecards
Array of object (AnsweredScorecard)

A list, in which each item contains one answered scorecard.

object

A list, in which each item contains one answered scorecard.

answeredScorecardId
integer (int64)

The identifier of the answer of the scorecard.

Example563515258458745
scorecardId
integer (int64)

The identifier of the scorecard.

Example6843152929075440000
scorecardName
string

Scorecard name.

ExampleSDR Call Scorecard
callId
integer (int64)

Gong's unique numeric identifier for the call (up to 20 digits).

Example7782342274025938000
callStartTime
string (date-time)

The date and time when the call was recorded in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2018-02-17T10:30:00Z
reviewedUserId
integer (int64)

The user Id of the team member being reviewed, who hosted the call.

Example234599484848423
reviewerUserId
integer (int64)

The user Id of the team member who answered the scorecard for the call, if the scorecard reviewMethod is AUTOMATIC this id would be null

Example563515258458745
reviewMethod
string

The method used to review the scorecard.

Valid values[ "AUTOMATIC", "MANUAL" ]
ExampleAUTOMATIC
editorUserId
integer (int64)

The user Id of the last team member to edit the answer. Null when no-one has edited the scorecard, or when the original team member to fill in the scorecard has edited the answers.

Example733525198384216
reviewTime
string (date-time)

The date and time when the review was completed and published in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2018-02-17T10:30:00Z
visibilityType
string
Valid values[ "PUBLIC", "PRIVATE", "OPT_IN_USERS" ]
answers
Array of object (Answer)

The answers in the answered scorecard.

object

The answers in the answered scorecard.

questionId
integer (int64)

The identifier of the question.

questionRevisionId
integer (int64)

The identifier of the revision version of the question.

Example43955224753211110
isOverall
boolean

If the question is the main overall question or not.

Exampletrue
score
integer (int32)

Score between 1 to 50, if answered. Null otherwise.

Example4
answerText
string

The answer's text, if answered. Null otherwise.

ExampleDone a great job. Scheduled a follow-up demo.
notApplicable
boolean

If the question is irrelevant for the call.

Examplefalse
selectedOptions
Array of string

The identifier of the options selected. Null otherwise

Example[ "1", "3" ]
string

The identifier of the options selected. Null otherwise

Example["1","3"]
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
404

Answered scorecards not found

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string